Update curation
Create or update a content aggregate
This endpoint allows you to update a curation for a specific channel.
Authorizations
Section titled “Authorizations ”Parameters
Section titled “ Parameters ”Path Parameters
Section titled “Path Parameters ”Request Body
Section titled “Request Body ”object
required | When true, instructs the endpoint that you’re authenticating with an organization key as opposed to some other method. In almost all cases you will want to set this value to true.
Example
trueoptional | html content for the curation, only p and formatting elements are allowed.
Example
<p>I have been <b>curated</b>.</p>optional | Plain text excerpt of the curated content. Will overwrite what we fetch from the URL.
Example
The excerpt is often mapped with an RSS feed's description node - but not always.optional | The URL of a featured image to associate with this piece of content.
Example
https://letterhead.ai/hubfs/Letterhead_CTA9_July2023/images/footer_logo.svgoptional | The Y-m-d H:i:s formatted date of publication.
Example
2024-02-05 00:00:00optional | The name of the site the curated content originated from.
Example
Black Bitter Coffeeoptional | string[] | An optional array of string tags with which to associate this piece of content. Example: ['dogs', 'canines']
Example
delightfully-caffeinatedoptional | Title of the curated content.
Example
Is this the tastiest coffee ever?required | URL to the content you would like Letterhead to crawl. We will fetch what we can glean from the site’s Open Graph.
Example
https://example.orgResponses
Section titled “ Responses ”Update curation
object
object
Examples
{ "items": { "archived": false, "content": "<p>I have been <b>curated</b>.</p>", "createdAt": "2025-01-07 00:01:12", "curated": false, "dateOfAggregatePublication": "2025-02-05 16:51:20", "excerpt": "The excerpt is often mapped with an RSS feed's description node - but not always.", "feedUniqueId": "", "image": "https://letterhead.ai/hubfs/Letterhead_CTA9_July2023/images/footer_logo.svg", "originalUrl": "https://css-tricks.com/how-to-make-a-folder-slit-effect-with-css/", "publicationDate": "2024-02-05 00:00:00", "siteName": "Black Bitter Coffee", "tags": [ "delightfully-caffeinated" ], "title": "Is this the tastiest coffee ever?", "uniqueId": "b8ee3a270d8615d23bf17335b2986bc3", "updatedAt": "2025-01-07 00:01:12" }, "message": "Your curation was successfully updated.", "total": 1}Headers
Section titled “Headers ”Example
trueExample
*Example
86400Example
no-cache, privateExample
keep-aliveExample
Wed, 05 Feb 2025 16:51:20 GMTExample
nginx/1.14.0 (Ubuntu)Example
chunkedStill can’t find what you need? Contact support.